import base_setup
import pooler

def _get_company(self,cr,uid,data,context):
    print "Ready to Setup Accthai module"
    pool = pooler.get_pool(cr.dbname)
    company_obj = pool.get('res.company')
    ids=company_obj.search(cr, uid, [])
    if not ids:
        return {}
    company = company_obj.browse(cr, uid, ids)[0]

    res = {'currency': company.currency_id.id}

    for field in 'name logo rml_header1 rml_footer1 rml_footer2'.split():
        res[field] = company[field]

    if company.partner_id.address:
        address = company.partner_id.address[0]
        for field in 'street street2 zip city email phone'.split():
            res[field] = address[field]

        for field in 'country_id state_id'.split():
            if address[field]:
                res[field] = address[field].id

    serv_pro_id = pool.get('ir.module.module').search(cr, uid, [('name','=','profile_account_thai')]) or False
    if serv_pro_id:
        res['profile'] = serv_pro_id[0]

    return res

base_setup.wizard.wizard_base_setup.wizard_base_setup.states["init"]["actions"]=[_get_company]
